summaryrefslogtreecommitdiff
path: root/scripts/postinst-intercepts/update_font_cache
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2022-05-25 17:12:18 -0500
committerJohn Klug <john.klug@multitech.com>2022-05-25 17:12:18 -0500
commit7971cb0aa3e517a53f0ce6d3ee9bc3179041ccb8 (patch)
tree56e91417e6f937b3956cadcf4973756cebb4a8b0 /scripts/postinst-intercepts/update_font_cache
downloadmlinux-7971cb0aa3e517a53f0ce6d3ee9bc3179041ccb8.tar.gz
mlinux-7971cb0aa3e517a53f0ce6d3ee9bc3179041ccb8.tar.bz2
mlinux-7971cb0aa3e517a53f0ce6d3ee9bc3179041ccb8.zip
mLinux 6
Diffstat (limited to 'scripts/postinst-intercepts/update_font_cache')
-rw-r--r--scripts/postinst-intercepts/update_font_cache7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/postinst-intercepts/update_font_cache b/scripts/postinst-intercepts/update_font_cache
new file mode 100644
index 0000000..bf65e19
--- /dev/null
+++ b/scripts/postinst-intercepts/update_font_cache
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir} \
+ -E ${fontconfigcacheenv} $D${bindir}/fc-cache --sysroot=$D --system-only ${fontconfigcacheparams}
+chown -R root:root $D${fontconfigcachedir}